<header class="header bg-primary d-flex ">
    <h3 class="header__title">Products</h3>
    
    <nav class="navbar navbar-default">
        <div class="container-fluid">

            <div class="navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav d-flex">

                    <li>
                        <a href="#">Page</a>
                    </li>

                </ul>
            </div>

        </div>
    </nav>

</header>